#!/bin/bash
set -eu

mkdir -p myapp

if ! test -d myapp/bps; then
	echo "Installing dependencies to ./myapp"
	pip install -r requirements.txt --target myapp
	rm -rf myapp/bin/ myapp/bps/test/ myapp/{bps,PySimpleGUI}/__pycache__/ myapp/*.dist-info/
fi

echo "Copying source files to ./myapp"
cp Fusion_Graph.py myapp/Fusion_Graph.py
cp Fusion_Items.py myapp/Fusion_Items.py
cp Randomizer.py myapp/Randomizer.py
cp GUI.py myapp/GUI.py
cp MFOR.py myapp/__main__.py

echo "Building MFOR.pyz"
python3 -m zipapp -o MFOR.pyz --python "/usr/bin/env python3" --compress myapp

echo "Done"
